diff --git a/requirements.txt b/requirements.txt
deleted file mode 100644
index 2e486f3..0000000
--- a/requirements.txt
+++ /dev/null
@@ -1,45 +0,0 @@
-# NOTE: Any requirements with environment specifiers must be explicitly added
-#       to pkg/pip/setup_pip.py (in extras_require), otherwise they will be
-#       ignored when building a PIP Wheel.
-Babel==2.3.4
-beautifulsoup4==4.4.1
-blinker==1.3
-click==6.6
-extras==0.0.3
-fixtures==2.0.0
-Flask==0.11.1
-Flask-Babel==0.11.1
-Flask-Gravatar==0.4.2
-Flask-HTMLmin==1.2; python_version >= '2.7'
-Flask-Login==0.3.2
-Flask-Mail==0.9.1
-Flask-Migrate==2.0.3
-Flask-Principal==0.4.0
-Flask-Security==1.7.5
-Flask-SQLAlchemy==2.1
-Flask-WTF==0.12
-html5lib==1.0b3
-importlib==1.0.3; python_version <= '2.7'
-itsdangerous==0.24
-Jinja2==2.7.3
-linecache2==1.0.0
-MarkupSafe==0.23
-ordereddict; python_version < '2.7'
-passlib==1.6.2
-pbr==1.9.1
-psycopg2>=2.7.3.2
-pycrypto==2.6.1
-pyrsistent==0.11.13
-python-dateutil==2.5.0
-python-mimeparse==1.5.1
-pytz==2014.10
-simplejson==3.6.5
-six>=1.9.0
-speaklater==1.3
-SQLAlchemy==1.0.14
-sqlparse==0.1.19
-Werkzeug==0.9.6
-WTForms==2.0.2
-backports.csv==1.0.4; python_version <= '2.7'
-Flask-Paranoid==0.1.0
-Flask-Script==2.0.5; python_version < '2.7'
diff --git a/requirements/common.txt b/requirements/common.txt
new file mode 100644
index 0000000..2e486f3
--- /dev/null
+++ b/requirements/common.txt
@@ -0,0 +1,45 @@
+# NOTE: Any requirements with environment specifiers must be explicitly added
+#       to pkg/pip/setup_pip.py (in extras_require), otherwise they will be
+#       ignored when building a PIP Wheel.
+Babel==2.3.4
+beautifulsoup4==4.4.1
+blinker==1.3
+click==6.6
+extras==0.0.3
+fixtures==2.0.0
+Flask==0.11.1
+Flask-Babel==0.11.1
+Flask-Gravatar==0.4.2
+Flask-HTMLmin==1.2; python_version >= '2.7'
+Flask-Login==0.3.2
+Flask-Mail==0.9.1
+Flask-Migrate==2.0.3
+Flask-Principal==0.4.0
+Flask-Security==1.7.5
+Flask-SQLAlchemy==2.1
+Flask-WTF==0.12
+html5lib==1.0b3
+importlib==1.0.3; python_version <= '2.7'
+itsdangerous==0.24
+Jinja2==2.7.3
+linecache2==1.0.0
+MarkupSafe==0.23
+ordereddict; python_version < '2.7'
+passlib==1.6.2
+pbr==1.9.1
+psycopg2>=2.7.3.2
+pycrypto==2.6.1
+pyrsistent==0.11.13
+python-dateutil==2.5.0
+python-mimeparse==1.5.1
+pytz==2014.10
+simplejson==3.6.5
+six>=1.9.0
+speaklater==1.3
+SQLAlchemy==1.0.14
+sqlparse==0.1.19
+Werkzeug==0.9.6
+WTForms==2.0.2
+backports.csv==1.0.4; python_version <= '2.7'
+Flask-Paranoid==0.1.0
+Flask-Script==2.0.5; python_version < '2.7'
diff --git a/requirements/requirements-dev.txt b/requirements/requirements-dev.txt
new file mode 100644
index 0000000..9e1df17
--- /dev/null
+++ b/requirements/requirements-dev.txt
@@ -0,0 +1,21 @@
+#####################################
+# Include all the common dependencies
+#####################################
+-r common.txt
+
+
+###########################################
+# Add all the development dependencies here
+###########################################
+pycodestyle==2.3.1
+pyperclip~=1.5.27
+selenium==3.3.3; python_version < '2.7'
+selenium==3.7.0; python_version >= '2.7'
+testscenarios==0.5.0
+testtools==2.0.0
+traceback2==1.4.0
+unittest2==1.1.0
+mock===2.0.0; python_version < '3.3'
+# Leave this at the end because there is a bug where the '--install-option'
+# is applied to all subsequent requirements
+chromedriver_installer==0.0.6 --install-option='--chromedriver-version=2.33'
diff --git a/requirements/requirements.txt b/requirements/requirements.txt
new file mode 100644
index 0000000..6fe25b9
--- /dev/null
+++ b/requirements/requirements.txt
@@ -0,0 +1,9 @@
+#####################################
+# Include all the common dependencies
+#####################################
+-r common.txt
+
+
+##########################################
+# Add all the production dependencies here
+##########################################
diff --git a/web/.pycodestyle b/web/.pycodestyle
new file mode 100644
index 0000000..ec01c1a
--- /dev/null
+++ b/web/.pycodestyle
@@ -0,0 +1,9 @@
+[pycodestyle]
+ignore = E402
+max-line-length = 79
+statistics = True
+show-source = False
+show-pep8 = False
+count = True
+format = pylint
+exclude = migrations,node_modules
diff --git a/web/package.json b/web/package.json
index 43f96ca..8542797 100644
--- a/web/package.json
+++ b/web/package.json
@@ -95,6 +95,7 @@
     "test:karma-once": "yarn run linter && yarn run karma start --single-run",
     "test:karma": "yarn run linter && yarn run karma start",
     "test:feature": "yarn run bundle && python regression/runtests.py --pkg feature_tests",
-    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py"
+    "test": "yarn run test:karma-once && yarn run bundle && python regression/runtests.py",
+    "pep8": "pycodestyle --config=.pycodestyle ."
   }
 }
diff --git a/web/regression/requirements.txt b/web/regression/requirements.txt
deleted file mode 100644
index 69f4a27..0000000
--- a/web/regression/requirements.txt
+++ /dev/null
@@ -1,11 +0,0 @@
-pyperclip~=1.5.27
-selenium==3.3.3; python_version < '2.7'
-selenium==3.7.0; python_version >= '2.7'
-testscenarios==0.5.0
-testtools==2.0.0
-traceback2==1.4.0
-unittest2==1.1.0
-mock===2.0.0; python_version < '3.3'
-
-# Leave this at the end because there is a bug where the '--install-option' is applied to all subsequent requirements
-chromedriver_installer==0.0.6 --install-option='--chromedriver-version=2.33'
